Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Collocated_Object_Proxy_Broker.cpp File Reference

`#include "Collocated_Object_Proxy_Broker.h"`
`#include "Object_Adapter.h"`
`#include "tao/Stub.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/Profile.h"`
`#include "tao/DomainC.h"`

Include dependency graph for Collocated_Object_Proxy_Broker.cpp:

## Namespaces
namespace | TAO
## Functions
const char * | get_rcsid_tao_TAO_Object_Remote_Proxy_Broker (const char *)
TAO::Collocated_Object_Proxy_Broker * | the_tao_collocated_object_proxy_broker (void)
TAO::Object_Proxy_Broker * | _TAO_collocation_Object_Proxy_Broker_Factory (CORBA::Object_ptr obj)
int | _TAO_collocation_Object_Proxy_Broker_Factory_Initializer (size_t)
## Variables
const char * | rcsid_tao_TAO_Object_Remote_Proxy_Broker = get_rcsid_tao_TAO_Object_Remote_Proxy_Broker ( rcsid_tao_TAO_Object_Remote_Proxy_Broker )
int | _TAO_collocation_Object_Proxy_Broker_Factory_Initializer_Scarecrow

## Function Documentation

TAO::Object_Proxy_Broker* _TAO_collocation_Object_Proxy_Broker_Factory | ( | CORBA::Object_ptr | obj | ) |

int _TAO_collocation_Object_Proxy_Broker_Factory_Initializer | ( | size_t |  | ) |

const char* get_rcsid_tao_TAO_Object_Remote_Proxy_Broker | ( | const char * |  | ) | `[inline, static]`

TAO::Collocated_Object_Proxy_Broker* the_tao_collocated_object_proxy_broker | ( | void |  | ) |

| This function is used to access the unique instance of strategized proxy broker. All the CORBA::Object share the proxy broker.

## Variable Documentation

int _TAO_collocation_Object_Proxy_Broker_Factory_Initializer_Scarecrow`[static]`

| Initial value:
    _TAO_collocation_Object_Proxy_Broker_Factory_Initializer (
        ACE_reinterpret_cast (
            size_t,
            _TAO_collocation_Object_Proxy_Broker_Factory_Initializer
          )
      )

const char* rcsid_tao_TAO_Object_Remote_Proxy_Broker = get_rcsid_tao_TAO_Object_Remote_Proxy_Broker ( rcsid_tao_TAO_Object_Remote_Proxy_Broker )`[static]`